Summary:	Kicker applet which monitors the syslog output and manages alerts
Name:		interceptor
Version:	0.9
Release:	1mdk
License:	GPL
Source:		http://skylendar.kde.org/interceptor/interceptor-0.9.tar.gz
URL:		http://skylendar.kde.org/interceptor/
Group:		Graphical desktop/KDE
BuildRequires:	kdelibs-devel >= 3.1, libqt3-devel >= 3.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	kdelibs >= 3.1, libqt3 >= 3.1
# AutoReqProv:	no

%description
Interceptor is a Kicker applet for KDE 3.1 which monitors
the syslog output and can manage alerts. The triggers can
be defined with regular expressions. Interceptor can open
message boxes and start programs.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
CURRENTDIR=`pwd`

# build interceptor
./configure --build=%{_build} --host=%{_host} --target=%{_target} \
  --prefix=%{_prefix} \
  --sysconfdir=%{_sysconfdir} \
  --bindir=%{_bindir} \
  --libdir=%{_libdir}

%make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf ${buildroot}

%post
%{_sbindir}/mkintfifos >/dev/null

if ! [ -d /var/run/interceptor ]; then
   mkdir /var/run/interceptor
fi
VR=/var/run/interceptor
mkfifo $VR/debug
mkfifo $VR/info
mkfifo $VR/notice
mkfifo $VR/warning
mkfifo $VR/err
mkfifo $VR/crit
mkfifo $VR/alert
mkfifo $VR/emerg
/etc/rc.d/init.d/syslog reload

%postun
rm -rf /var/run/interceptor
grep -v -e "|/var/run/interceptor" -e "# Entries for interceptor" /etc/syslog.conf > /tmp/syslog.conf
mv -f /tmp/syslog.conf /etc/syslog.conf
sleep 1
/etc/rc.d/init.d/syslog reload

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_libdir}/kde3/*
%{_prefix}/share/apps/kicker/applets/interceptor.desktop
%{_sbindir}/*

%changelog
* Wed Mar 10 2004 Christophe Gros <skylendar@yahoo.com> 0.9-1mdk
- Release 0.9
- Redirected action.
  Redirected log view.
  Redesigned fifo scan.
* Tue Jun 06 2003 Christian Kohlschuetter <ck@newsclub.de> 0.8-1mdk
 Release 0.8
- Applied argument patch to be able to use extra variables
  ($D for date, $T for time and $n for line break)
- Added automatical syslog configuration
