/***************************************************************************
                          btn.cpp  -  description
                             -------------------
    begin                : sam avr 26 2003
    copyright            : (C) 2003 by Christophe Gros
    email                : skylendar@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "btn.h"
#include "itview.h"
#include <qevent.h>

Btn::Btn(QWidget* parent, ItView* it, ItView* redir) : _Btn(parent, "Btn", 0)
{
	It = it;
  Redir = redir;
  setFocusPolicy(StrongFocus);
}

Btn::~Btn(){
}

void Btn::clicked()
{
  It->show();
}

void Btn::mousePressEvent(QMouseEvent* e)
{
   if(e->button() == Qt::RightButton)
      Redir->show();
   _Btn::mousePressEvent(e); 
}
