/***************************************************************************
                          msg.cpp  -  description
                             -------------------
    begin                : lun avr 28 2003
    copyright            : (C) 2003 by Christophe Gros
    email                : skylendar@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "msg.h"
#include <qpixmap.h>
#include <qstring.h>
#include <qlabel.h>
#include <qpushbutton.h>

Msg::Msg(const QPixmap& qx, const QString& text, const QString& caption, bool yesno) : _Msg(0, "Msg", 1)
{
	emit Pixmap->setPixmap(qx);
	emit Text->setText(text);
	emit setCaption(caption);
	if(yesno)
		Ok->hide();
	else
	{
		Yes->hide();
		No->hide();
	}	
}

Msg::~Msg(){
}