/***************************************************************************
                          prefs.h  -  description
                             -------------------
    begin                : sam avr 26 2003
    copyright            : (C) 2003 by Christophe Gros
    email                : skylendar@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREFS_H
#define PREFS_H

#include <_prefs.h>

/**This class manages the preferences of this applet
  *@author Christophe Gros
  */

class QListViewItem;
class Interceptor;

class Prefs : public _Prefs
{
	Q_OBJECT

public: 
	Prefs(Interceptor*);
	~Prefs();

public slots:

	void OkSlot();
	void CancelSlot();
	void NewSlot();
	void ModifySlot();
	void DeleteSlot();
	void clicked(QListViewItem*);

private:

	QListViewItem* Qlvi;
	Interceptor* It;
};

#endif
